# $Revision: 1.8 $, $Date: 2008/07/27 22:31:37 $
#
# Conditional build:
%bcond_without	tests		# do not perform "make test"
#
%include	/usr/lib/rpm/macros.perl
%define		pdir	Data
%define		pnam	Denter
Summary:	Data::Denter - an (deprecated) alternative to Data::Dumper and Storable
Summary(pl.UTF-8):	Data::Denter - (porzucona) alternatywa dla Data::Dumper i Storable
Name:		perl-Data-Denter
Version:	0.15
Release:	2
# same as perl
License:	GPL v1+ or Artistic
Group:		Development/Languages/Perl
Source0:	http://www.cpan.org/modules/by-module/%{pdir}/%{pdir}-%{pnam}-%{version}.tar.gz
# Source0-md5:	819e5c05fb61e90f4c1311286b080405
BuildRequires:	perl-devel >= 1:5.8.0
BuildRequires:	rpm-perlprov >= 4.1-13
%if %{with tests}
# for perldiag.pod; should it be moved to perl-base?
BuildRequires:	perl-perldoc
BuildRequires:	perl-YAML
%endif
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The main problem with Data::Dumper (one of my all-time favorite
modules) is that you have to use eval() to deserialize the data you've
dumped. This is great if you can trust the data you're evaling, but
horrible if you can't. A good alternative is Storable.pm. It can
safely thaw your frozen data. But if you want to read/edit the frozen
data, you're out of luck, because Storable uses a binary format. Even
Data::Dumper's output can be a little cumbersome for larger data
objects.

%description -l pl.UTF-8
Głównym problemem klasy Data::Dumper (jednego z ulubionych modułów
autora) jest to, że trzeba używać eval() aby dokonać deserializacji
zrzuconych danych. Jest to wspaniałe, jeśli można zaufać danym, ale
przerażające, jeśli nie możemy. Dobrą alternatywą jest moduł
Storable.pm. Może on bezpiecznie roztopić zamrożone dane. Ale kiedy
chcemy odczytać/zmodyfikować zamrożone dane, nie mamy szczęścia,
ponieważ Storable używa binarnego formatu. Nawet format wyjścia modułu
Data::Dumper może by nieco niewygodny dla większych obiektów danych.

%prep
%setup -q -n %{pdir}-%{pnam}-%{version}

%build
%{__perl} Makefile.PL \
	INSTALLDIRS=vendor
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc Changes README
%{perl_vendorlib}/Data/*.pm
%{_mandir}/man3/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: perl-Data-Denter.spec,v $
Revision 1.8  2008/07/27 22:31:37  arekm
- release 2

Revision 1.7  2007-02-13 07:16:54  glen
- tabs in preamble

Revision 1.6  2007/02/12 00:49:29  baggins
- converted to UTF-8

Revision 1.5  2006/08/24 00:21:02  radek
- BR: perl-perldoc as a hack for perldiag.pod

Revision 1.4  2004/11/03 13:13:12  paladine
- spaces->tabs
- formatting

Revision 1.3  2004/06/04 09:31:59  ankry
- pl fix

Revision 1.2  2004/06/03 18:03:36  qboosh
- pl

Revision 1.1  2004/06/03 13:43:10  radek
- new
